<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: PGT storage on the filesystem</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>PGT storage on the filesystem<br/>
<small>
[<a class="el" href="group__internal_p_g_t_storage.html">PGT storage</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_p_g_t_storage_file.html">PGTStorageFile</a></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#ga949703587626fcb6b488aa91103d3db9">PGTStorageFile::getPath</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#gadaa77d66a22146c54fbaab0b8a7eed18">PGTStorageFile::getFormat</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#ga9b54c40d39ce33d8266086d93a64cedd">PGTStorageFile::getStorageType</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#gaba32bbc45e02eecb439136ef152b887e">PGTStorageFile::getStorageInfo</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#gaa7418e81e4382b88bcabc03d726ff4c3">PGTStorageFile::PGTStorageFile</a> ($cas_parent, $format, $path)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#ga0c543731e0444b7e106e64853d996ae7">PGTStorageFile::init</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#ga5ec75352dab4fa298232a000261b08db">PGTStorageFile::getPGTIouFilename</a> ($pgt_iou)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#ga4b0f3d6fce391a191fa33671d9657844">PGTStorageFile::write</a> ($pgt, $pgt_iou)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#ga7ae8e91538f183e5744b71fe7b6eaee4">PGTStorageFile::read</a> ($pgt_iou)</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#gac62a1c5350f9924f52e5504183d34164">PGTStorageFile::$_path</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage_file.html#gaf1a9db7d078f8872381638eb27f47940">PGTStorageFile::$_format</a></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gadaa77d66a22146c54fbaab0b8a7eed18"></a><!-- doxytag: member="PGTStorageFile::getFormat" ref="gadaa77d66a22146c54fbaab0b8a7eed18" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageFile::getFormat </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the format to use when storing PGT's on the filesystem.</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>a string corresponding to the format used (plain or xml). </dd></dl>

</div>
</div>
<a class="anchor" id="ga949703587626fcb6b488aa91103d3db9"></a><!-- doxytag: member="PGTStorageFile::getPath" ref="ga949703587626fcb6b488aa91103d3db9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageFile::getPath </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the name of the directory where PGT's should be stored on the filesystem.</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>the name of a directory (with leading and trailing '/') </dd></dl>

</div>
</div>
<a class="anchor" id="ga5ec75352dab4fa298232a000261b08db"></a><!-- doxytag: member="PGTStorageFile::getPGTIouFilename" ref="ga5ec75352dab4fa298232a000261b08db" args="($pgt_iou)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageFile::getPGTIouFilename </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>pgt_iou</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the filename corresponding to a PGT Iou.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$pgt_iou</em>&nbsp;</td><td>the PGT iou.</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>a filename </dd></dl>

</div>
</div>
<a class="anchor" id="gaba32bbc45e02eecb439136ef152b887e"></a><!-- doxytag: member="PGTStorageFile::getStorageInfo" ref="gaba32bbc45e02eecb439136ef152b887e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageFile::getStorageInfo </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns an informational string giving informations on the parameters of the storage.(used for debugging purposes).</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>an informational string. </dd></dl>

<p>Reimplemented from <a class="el" href="group__internal_p_g_t_storage.html#ga424a5265cde843c651792a41ed9938bb">PGTStorage</a>.</p>

</div>
</div>
<a class="anchor" id="ga9b54c40d39ce33d8266086d93a64cedd"></a><!-- doxytag: member="PGTStorageFile::getStorageType" ref="ga9b54c40d39ce33d8266086d93a64cedd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageFile::getStorageType </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns an informational string giving the type of storage used by the object (used for debugging purposes).</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>an informational string. </dd></dl>

<p>Reimplemented from <a class="el" href="group__internal_p_g_t_storage.html#gaab68db1fc471c7015ed776848c8becb6">PGTStorage</a>.</p>

</div>
</div>
<a class="anchor" id="ga0c543731e0444b7e106e64853d996ae7"></a><!-- doxytag: member="PGTStorageFile::init" ref="ga0c543731e0444b7e106e64853d996ae7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageFile::init </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to initialize the storage. Halts on error. </p>

<p>Reimplemented from <a class="el" href="group__internal_p_g_t_storage.html#gadda668067cd9c3a7e42cf74b2a7d481a">PGTStorage</a>.</p>

</div>
</div>
<a class="anchor" id="gaa7418e81e4382b88bcabc03d726ff4c3"></a><!-- doxytag: member="PGTStorageFile::PGTStorageFile" ref="gaa7418e81e4382b88bcabc03d726ff4c3" args="($cas_parent, $format, $path)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageFile::PGTStorageFile </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>cas_parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>path</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>The class constructor, called by CASClient::SetPGTStorageFile().</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$cas_parent</em>&nbsp;</td><td>the <a class="el" href="class_c_a_s_client.html">CASClient</a> instance that creates the object. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$format</em>&nbsp;</td><td>the format used to store the PGT's (`plain' and `xml' allowed). </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$path</em>&nbsp;</td><td>the path where the PGT's should be stored </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga7ae8e91538f183e5744b71fe7b6eaee4"></a><!-- doxytag: member="PGTStorageFile::read" ref="ga7ae8e91538f183e5744b71fe7b6eaee4" args="($pgt_iou)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageFile::read </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>pgt_iou</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method reads a PGT corresponding to a PGT Iou and deletes the corresponding file.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$pgt_iou</em>&nbsp;</td><td>the PGT iou</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>the corresponding PGT, or FALSE on error </dd></dl>

<p>Reimplemented from <a class="el" href="group__internal_p_g_t_storage.html#ga3148e55680c3d0031212ba7e829c681e">PGTStorage</a>.</p>

</div>
</div>
<a class="anchor" id="ga4b0f3d6fce391a191fa33671d9657844"></a><!-- doxytag: member="PGTStorageFile::write" ref="ga4b0f3d6fce391a191fa33671d9657844" args="($pgt, $pgt_iou)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageFile::write </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>pgt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>pgt_iou</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method stores a PGT and its corresponding PGT Iou into a file. Echoes a warning on error.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$pgt</em>&nbsp;</td><td>the PGT </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$pgt_iou</em>&nbsp;</td><td>the PGT iou </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="group__internal_p_g_t_storage.html#ga2fd0dae57955ab41b1f2bada1bbe695a">PGTStorage</a>.</p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="gaf1a9db7d078f8872381638eb27f47940"></a><!-- doxytag: member="PGTStorageFile::$_format" ref="gaf1a9db7d078f8872381638eb27f47940" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageFile::$_format<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>a string telling the format to use to store PGT's (plain or xml). Written by <a class="el" href="group__internal_p_g_t_storage_file.html#gaa7418e81e4382b88bcabc03d726ff4c3">PGTStorageFile::PGTStorageFile()</a>, read by <a class="el" href="group__internal_p_g_t_storage_file.html#gadaa77d66a22146c54fbaab0b8a7eed18">getFormat()</a>. </p>

</div>
</div>
<a class="anchor" id="gac62a1c5350f9924f52e5504183d34164"></a><!-- doxytag: member="PGTStorageFile::$_path" ref="gac62a1c5350f9924f52e5504183d34164" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PGTStorageFile::$_path<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>a string telling where PGT's should be stored on the filesystem. Written by <a class="el" href="group__internal_p_g_t_storage_file.html#gaa7418e81e4382b88bcabc03d726ff4c3">PGTStorageFile::PGTStorageFile()</a>, read by <a class="el" href="group__internal_p_g_t_storage_file.html#ga949703587626fcb6b488aa91103d3db9">getPath()</a>. </p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
